import ipaddress


def ip6_and_ip4(ip6, ip4, domain_suffix='hostnameomatic.com'):
    """
    Returns a hostname based on the IPv4 and IPv6 addresses provided.
    """
    # This provides validation and consistency.
    ip6_address = ipaddress.IPv6Address(ip6)
    ip4_address = ipaddress.IPv4Address(ip4)
    processed_ip6 = ip6_address.exploded.replace(':', '-')
    processed_ip4 = ip4_address.exploded.replace('.', '-')
    hostname = '{}.{}.aaaaplusa.{}'.format(processed_ip6,
                                           processed_ip4,
                                           domain_suffix)
    return hostname
